unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Mask, FileCtrl, StdCtrls, Buttons, DirChange;

type
  TForm1 = class(TForm)
    DirChange1: TDirChange;
    SpeedButton1: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure DirChange1ChangeDeleted(Sender: TObject;
      Item: TWin32FindDataA);
    procedure DirChange1ChangeNew(Sender: TObject; Item: TWin32FindDataA);
    procedure DirChange1ChangeRenamed(Sender: TObject;
      Item: TWin32FindDataA);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SpeedButton1Click(Sender: TObject);
var
   Dir:String;
begin
     SelectDirectory(Dir,[],0);
     DirChange1.Directory:=Dir;
     Label2.Caption:=Dir;
     DirChange1.Active:=True;
end;

procedure TForm1.DirChange1ChangeDeleted(Sender: TObject;
  Item: TWin32FindDataA);
begin
     Label1.Caption:=TimeToStr(Time)+' File Deleted : '+TDirChange(Sender).Directory+Item.cFileName;
end;

procedure TForm1.DirChange1ChangeNew(Sender: TObject;
  Item: TWin32FindDataA);
begin
     Label1.Caption:=TimeToStr(Time)+' File Addated : '+TDirChange(Sender).Directory+Item.cFileName;
end;

procedure TForm1.DirChange1ChangeRenamed(Sender: TObject;
  Item: TWin32FindDataA);
begin
     Label1.Caption:=TimeToStr(Time)+' File Renamed : '+TDirChange(Sender).Directory+Item.cFileName;
end;

end.
